Welcome To The Nexus Server Online Help System

Last Updated: 07/11/2006

Welcome to the Nexus Server Online Help System.

Click on the subject to the left that you need help with.


Introduction

Nexus Server is the support application for P Squared’s Nexus program. It’s primary role is to act as the bridge between the Nexus system and the outside world in terms of communication via email and SMS text.

Nexus Servers main jobs are:

  • Gather incoming emails from a POP3 email server.
  • Collect incoming SMS text messages received by the optional Text Modem Module.
  • Forward outgoing email messages sent from Nexus workstations, to the designated email server.
  • Send SMS texts forwarded from Nexus workstations via the optional Text Modem Module.
  • Auto-Message, communicated with the attached Myriad system and automatically provide listeners with information about what song is playing (and how to buy it) when it receives texts with special ‘key words’.

The main Nexus application is intended to be used by presenters in the studio and as such, the documentation for Nexus is designed to be accessible to people of all abilities. Nexus Server on the other hand is a ‘back room’ application which means it is not intended for use by non-technical personnel, so the documentation also assumes a basic knowledge of both Nexus and the general principles of email servers and SMS Text Modems.


The Nexus Server General Layout

The screen layout in Nexus Server is incredibly simple. The Menu system provides access to all of the settings and configuration options that you will use to configure Nexus Server and (if needed) the help files.

The Nexus Sever History panel shows a list of recent email or SMS messages actions taken by Nexus. This allows you to review the most recent activity and potentially spot any problems.


The File Menu

The File Menu options are outlined below.


Exit

The Exit option is used to close Nexus Server and exit to the PC’s desktop.


The View Menu

The View Menu options are outlined below.


Message List

The Message List option on the View Menu allows you to review the email & SMS messages currently listed as viewable on the Nexus workstations.

When you select this option, Nexus Server will open a floating window containing a list of all the messages available to the Nexus workstations as well as the Message Categories.

This window is essentially the same as the Mini Message List mode in Nexus but you are not able to actually view any of the messages in Nexus Server, just a list of the messages that are in the system.

Please note that this list intended for information purposes only, please use the Email / SMS screen in Nexus to view and administer the messages in the Nexus database.


The Settings Menu

The Settings menu provides access to the settings and configuration options used to configure Nexus Server.

As with Nexus, the settings have been grouped together in to related areas and each of these is represented by an option on the Settings menu.

  • Settings – Program settings relating specifically to Nexus Server.
  • P Squared Directory Settings – Settings related to the P Squared Directory which acts as the contacts database in Nexus and other P Squared products.
  • Nexus Database Settings – Global Nexus settings that affects all of the Nexus workstations sharing the same database.
  • License Details – Allows you to review and renew your Nexus Server license.


Settings

The Settings option on the Settings Menu in Nexus Server offers access to the Nexus Server Settings window which in turn allows you to configure your Nexus Server.

The Settings window is divided in to four tabs.

  • General – General Nexus Server related settings.
  • Email – Email server and account details that Nexus Server will use to send and receive emails.
  • SMS – Details of the optional SMS Text Modem Module you may have connected to the system.
  • Talkback – Details of the talkback folder used by all of the Nexus workstations.

If you have worked with Nexus before (or read the Nexus documentation) then you will be familiar with many of the options above and on the Settings Menu as a whole as most are shared with Nexus.


The General Tab

The General Tab provides access to the more generic or fundamental settings in Nexus Server.


Nexus Database Location

The Nexus Database Location option allows you to set the location of the central Nexus Database that all of the Nexus workstations use to store essential information, messages and prize details etc.

The location should be available on your network and be accessible to all PC’s running Nexus. If you select a path that does not already contain a Nexus database then the first time you run Nexus or Nexus Server, you will be asked whether you wish the system to create the database.


General Options > Minimise To The System Tray

If this option is not ticked then when you minimise Nexus Server, it will minimise to the standard ‘Start Bar’ just like any other application.

If you tick this option then when you minimise Nexus Server, it will minimise to an icon in your computers ‘system tray’ which is the section of the ‘Start Bar’ to the right of the screen beside the clock.

The advantage of this is that as Nexus Server needs to run constantly in the background, there is no need to take up space on your main ‘Start Bar’


Check For New Messages To Send Every XX Seconds

This setting allows you to set the regularity with which Nexus Server checks to see whether there are emails to be sent from any of the Nexus workstations.

The default for this setting is every 60 seconds.


Profile Management

The Profile Management button provides access to the P Squared Profile Manager which allows you to set up multiple Profiles to use with Nexus.

But what does that mean?

If you are familiar with other P Squared products such as Myriad then you may have come across Profiles before. Essentially it allows you have several different configurations of the same software and switch between these configurations as the software starts up.

The classic example for this would be if you had FM and AM stations operating out of the same site. Obviously, the Nexus system for the FM would have different Prize management and Scripts to the AM so you would set up two profiles, one for FM would have it’s Nexus database located in one location, and the other (for AM) would use a different location.

That way, when each time you start Nexus, you will be asked which Profile you wish to use for this session.

To add a new Profile, make sure the ‘Allow P Squared Applications To Use Different Configuration Sets (Profiles)’ option is set, and then click on the ‘+’ button.

Next, type in a name for you Profile.

Finally, confirm that you wish to add the Profile.

The Profile will be added to the system.

Now, nest time you start Nexus Server, you will be asked which Profile you wish to use.

And any changes you make to the settings or configuration options will only affect the Profile you are working in.


The Email Tab

The Email tab contains the settings used by Nexus Server to connect to one or more email servers to send and receive emails.

You can also set what attachments you want Nexus to remove from downloaded emails.


Collect Email From A POP3 Server (incoming email)

To enable Nexus Server to pickup email from a remote email server, you will need to tick this option. This will then allow you to add the necessary settings to Nexus Server.


Adding An Email Server

To add an email server, click on the Add button.

This will open the Email Account Settings window which allows you to enter the settings for email server the email will be downloaded from.

  • Incoming Server Name (POP3) – The unique name / location of the email server.
  • User Name – The username used to log in to the email server.
  • Password – The password for the email server.
  • Leave A Copy Of The Message On The Server – If this option is ticked, Nexus will download the emails from the server but not delete them from the server so if another application such as Outlook also attaches to the email server then it too can download the emails.
  • Clear The Email Download History – Clears the download history from Nexus Server.
  • Shared / Personal To Contact – Sets whether Nexus Server should route emails for this account in to the ‘shared’ folder or in to the ‘personal’ folder for a specific User.


Editing Mail Account Details

You can edit the Account Details for an entry in the list by either double clicking on it or highlighting it and clicking on the Edit Details button.

In both cases, the Email Account Settings window will open to allow you to edit the details.


Removing An Account

To remove an account from the list, highlight it and then click on the Remove Account button.

You will then be asked to confirm that you wish to delete the account.


Check For New Emails Every XX Seconds

This setting allows you to set the time interval (in seconds) between Nexus Server checking the email server(s) for new emails.


Attachments

The Attachments button is used to set the file types that Nexus Server will remove from incoming emails.

When you click on the Attachments button, the Email Attachments window opens which allows you to add or remove file types (i.e. file extensions) that you want Nexus Server to automatically remove from emails.

To add a new file type, type in the extension in to the upper box and then click on the Add button.

To remove a file type from the ‘blocked’ list, highlight it and then click on the Remove button.

You can return to the default list of ‘blocked’ file types by clicking on the Defaults button.


Allow Emails To Be Sent

If this option is not set the Nexus Server will not allow any Users to send emails from within Nexus.

Once enabled, you can add in the details for the email server used to send the emails.

  • SMTP Server Address – The address of the email server that Nexus Server will use to send emails.
  • Email Server Requires Username And Password – Tick this box if the SMTP server you are connecting to requires a Username and Password.
  • Username & Password – Set the Username and Password that Nexus will use to login to the SMTP server.


The SMS Tab

The SMS Tab allows you to configure Nexus Server to work with the optional Text Modem Module which allows Nexus to send and receive SMS text messages via a standard analogue telephone line.

The Text Modem Module is available from P Squared, contact sales@psquared.net for more details.

To enable the Text Modem Module support in Nexus Server, tick the Use A Z-Text External SMS Modem option.


Virtual Comm-Port

Once you have enabled Text Modem Support, the first thing to do is to tell Nexus Server what Virtual Comm-Port the modem is attached to. The Modem is a USB device but the drivers that come with the unit configure it to appear to applications in windows as a Virtual Comm-Port.

In order to allow Nexus Server to communicate with the Text Modem, you need to set this option to use the Virtual Comm-Port that the modem is on. Use the drop down option to select the Virtual Comm-Port that you wish to use.


Send Test Message Every 30 Days

This setting is all tied up with the way BT run the SMS text message service over the standard analogue telephone network. Basically, when you send a SMS text over an analogue telephone line, the exchange recognises that it is a text and enables texts for the line the message was sent from. The problem is that periodically, if no SMS traffic is detected, the exchange can shut down text support on a phone line which means that your SMS Text Modem will stop working until you send another message (which re-enables it).

This setting is used to get around the problem.

If this option is ticked, Nexus Server will send a test SMS message to a pre-determined number every 30 days. The user will never know about the message but the act of sending it should keep the line SMS enabled indefinably.

Obviously, when you enable this option, the cost of sending a single message every 30 days will be added to your phone bill but as that will only amount to a few pence, it should not be a significant issue.


The Talkback Tab

This tab allows you to set the location that Nexus Server will use to read Visual Talkback messages from.


Talkback Options – Simple - Use Common Shared Folder

Simple Talkback in Nexus allows one or more Nexus workstations to communicate via text via a number of ‘chat rooms’. Each ‘chat room’ is in fact a folder under the overall talkback folder that each of the Nexus machines is configured to point to.

Consider the example below.

In this example, a folder has been created on the shared network drive ‘W’ and it has been called ‘Talkback’. Under this folder, two further folders have been added (News and On-Air).

By configuring each of the Nexus workstation at your station to use ‘W:\talkback’ as the Common Shared Folder, they will all be able to participate in Visual Talkback and there will be two ‘chat rooms’ available (News and On-Air).

To set the Common Shared Folder location, click on the Browse button and select the location from the browse window.


P Squared Directory Settings

The P Squared Directory is essentially a contacts database that is used to keep contact details and access rights for all the Users of your Nexus system as well as Users for other P Squared products and general contacts that you may wish to add to the database.

The Directory Settings window is split into three tabs which are examined in more detail below.

Please note that this section of Nexus Server is exactly the same as in Nexus so the documentation below is shared between both applications.


The General Tab

The General tab is used to set the location of the P Squared Directory database file that you wish Nexus to use as well as what Nexus should do when you first set up your Directory.

You can also administer any stand-alone P Squared Directory Manager software licenses that you may have purchased in addition to Nexus.


Directory Database Path

This Path setting is used to set the location of the P Squared Directory Database that Nexus will use to access the Database.

To alter this setting, click on the Change button and then use the Browse for Folder window to select the folder that your Directory Database is located in or the folder that you wish to create it in if you are working on a new database.

Once you are happy with the location, click on the OK button.

Please note that if you select a Directory Database Path from here that does not contain a valid P Squared Database File, Nexus will ask you whether it should create a Directory in the folder the next time it restarts.

Click on the Yes button to create a P Squared Directory in the selected folder.


Automatically create Users when they first use Directory Enabled Software

If this option is ticked then when Nexus starts, it will check the Windows Login name again the P Squared Directory and if no User in the P Squared Directory is found with the same login name as that used to login in to Windows, Nexus will create one and use that to login to Nexus.


Other Licensed Computers > Number of Computers Allowed

This is an unusual setting for Nexus as it does not relate directly to Nexus but rather to the stand-alone P Squared Directory Manager application which enables standard PCs to access the P Squared Directory without any other P Squared products being installed.

The stand-alone Directory Manager licenses can be purchased at a low cost from sales@psquared.net. Each PC that has the Directory Manager installed needs a separate license but the licensing model used for the Directory Manager is much simpler than the model used for Nexus. This means that if you purchased 10 Directory Manager licenses (they are £30 each at time of writing) then you would have a single license code that actually allowed up to 10 PCs on your network to ‘hold’ a Directory Manager license at any one time.

The license code issued by P Squared can be entered in this section, you can also assign one of the licenses to the PC you are working on (but you would not need to as the Nexus offers the same functionality and you already have that licensed!).

The Other Licensed Computers panel shows a summary of the amount of stand alone Directory Manager licenses you have and how many have been assigned. You can enter, or update your Directory Manager license code by clicking on the Change button.

This opens the Computer Licenses window. To alter the License Name or License Code, click on the Change button and type in the relevant details.

Once you are happy, click on the Set button.

The Lower section of the window shows a list of PCs that the Directory Manager licenses are currently allocated to.

The buttons to the right of this list allow you to manage your license allocations.

  • Edit PC Name Details – Allows you to alter the PC name that the license is allocated to. Make sure you type in a valid PC network name.
  • Remove License Allocation – This removes the highlighted allocation freeing the license to be used by another computer.
  • Update List – This option updates the list based on the latest network information.

When you are happy, click on the OK button to save the changes and close the window.


The Security Tab

The Security tab shows a list of all the available Security User Groups within the currently selected P Squared Directory and allows you to add new Security User Groups, edit the existing groups and delete groups entirely.

The buttons down the right hand side of the window allow you to add, edit and remove Security User Groups. These options are examined in more detail below.


Adding a New Security User Group

To add a new Security User Group, click on the Add Group button.

Nexus will then add a Security User Group to the list with a default title, type in your preferred User Group title and press the <Enter> key on your keyboard.

Your new Security User Group is added to the system.

Important Note: Please note that the top User Security Group in this list is the default User Security Group for all new Users added to the system so this Security Group should only include the minimum security permissions that you want Users to have. That way, if you create a new User but forget to assign a Security User Group, they will only have minimal access rights on your system.


Renaming a Security User Group

To rename an existing Security User Group, highlight the group that you want to rename and then click on the Rename Group button.

You can then type in a new title for your Security Group.

Once you have renamed the Group, press the <Enter> key on your keyboard.


Edit Security User Group Settings

Clicking on this button will open the Security User Group Permissions window which is used to assign security permissions for individual Users or Security User Groups.

This important window is covered in detail in the Security Permission Settings section of this Chapter.


Delete Security User Group

This option is used to delete the highlighted Security User Group from the system. When you click on this option, you will be asked to confirm that really do want to delete the User Group.

If you click on Yes then the Security User Group will be deleted, however, this can only happen if there are no Users within the Security Group. If there are one or more Users still within the Security User Group then Myriad will not allow the Group to be deleted.

Use Myriad Manager to move all Users from the User Group that you wish to delete and then try again.


The Backup Tab

The Backup tab allows you to configure the regularity with which Nexus takes backup copies of the P Squared Directory database in case of emergency or accidental deletion.

To enable Nexus automatic backup of Directory databases, tick the ‘Automatically ‘backup’ the Directory Database periodically’ option at the top of the tab.

Caution: Think carefully before disabling this option. Nexus will automatically create backup files and automatically delete older backup files so the whole process is maintenance free, therefore there is little point in disabling this useful feature!


How Often Should These Backups Be Created

This section of the window allows you to set the regularity with which Nexus backs up your Directory database. The options are:

  • Backups should be created once an hour – Nexus will take a copy each hour of the day. This is the safest option but it generates a lot of backup files. You probably do not need to use this option unless you add and remove a lot of Users each day.
  • Backups should be created once a day (Recommended) – Nexuswill take a backup copy once a day. This is the recommended option as it keeps your database safe but does not generate too many backup files.


Delete Backups After X Days

This section allows you to set the amount of days after which Nexus will automatically delete older backup files. This means that if you set this to 7 days (for example), Nexus would keep a rolling 7 days of backup files.

You can set this to 0 (zero) then Nexus will not automatically delete any backups that it creates.


Security Permissions Settings (User or User Group)

The Security Permissions Settings window is used to set specific Nexus related security permissions for an individual User or members of a User Security Group.

To change the Security Permissions for an individual User, you will need to access this window through the Contacts section of Myriad Manager but if you wish to edit the Security Permissions for a Security Group then you can do this via the Edit Group button on the Security tab of Directory Settings.

The Security Permissions window is used to set Security Permissions for Nexus but it is also used for setting permissions for other Directory enabled P Squared products such as Scoop and Powerlog. If you have other P Squared products installed on your PC then you may well have more than just Nexus related options in this window, however this section will just cover the Nexus based options.

The left hand side of the window shows a list of the P Squared products that are available to be configured. You will notice that as well as Nexus , the Directory is also listed separately. T

To select the application (or element) that you want to configure permissions for, simply click on it in the left hand list. The Security Permissions options for this application will then be displayed in the right hand side of the window.


Directory > Can have Personal Contacts

The User (or members of a User Group) is allowed to have Personal Contacts stored on the Directory. For more details on Personal Contacts (as opposed to Shared Contacts) please see the earlier Contact List section of this documentation.


Directory > Can Add / Edit / Delete Contacts

The User (or members of a User Group) is allowed to add, edit or delete Contacts in the P Squared Directory.


Directory > Can Add / Edit / Delete Users

The User (or members of a User Group) is allowed to add, edit or delete Users in the P Squared Directory.


Directory > Can Add / Edit / Delete Contact Categories

The User (or members of a User Group) is allowed to add, edit or delete Contact Categories in the P Squared Directory.


Directory > Can have Personal Websites

The User (or members of a User Group) is allowed to add personal websites to the website lists in Myriad Manager.


Directory > Can Add / Delete Websites

The User (or members of a User Group) is allowed to add or delete websites from the shared websites section of Myriad Manager.


Directory > Can Add / Edit / Delete Websites

The User (or members of a User Group) is allowed to add, edit or delete websites categories from the shared websites section of Myriad Manager.


Directory > Can Edit P Squared Directory Settings

The User (or members of a User Group) is allowed to edit settings in the Directory Settings window.


Directory > Can View P Squared Directory History

The User (or members of a User Group) is allowed to view P Squared Directory History which is a history of Users movements and actions in Myriad. – Not applicable to Nexus.


Nexus v1 > General Permissions > Can Edit The Main Nexus Settings

The User (or members of a User Group) is allowed to edit the Nexus Settings. i.e. access to the Nexus Settings menu.


Nexus v1 > Message Permissions > Can Have Personal Messages

The User (or members of a User Group) is allowed to have personal messages in the Email / SMS section of Nexus.


Nexus v1 > Message Permissions > Can Add/Edit/Delete Messages

The User (or members of a User Group) is allowed add, edit and delete messages in the Email / SMS section of Nexus.


Nexus v1 > Message Permissions > Can Add/Edit/Delete Messages Categories

The User (or members of a User Group) is allowed add, edit and delete messages categories in the Email / SMS section of Nexus.


Nexus v1 > Prize Permissions > Can Add/Edit/Delete Prizes

The User (or members of a User Group) is allowed add, edit and delete Prizes in the Prizes section of Nexus.


Nexus v1 > Prize Permissions > Can Add/Edit/Delete Prize Categories

The User (or members of a User Group) is allowed add, edit and delete Prize Categories in the Prizes section of Nexus.


Nexus v1 > Scrips Permissions > Can Add/Edit/Delete Scrips

The User (or members of a User Group) is allowed add, edit and delete Scripts in the Scripts section of Nexus.


Nexus Database Settings

Please note that this section of Nexus Server is exactly the same as in Nexus so the documentation below is shared between both applications.

The Nexus Database Settings option on the Settings Menu provides access to a range of Nexus Database related settings.

These differ from the Nexus Program Settings in that these settings affect the Nexus Database and therefore affect all Nexus workstations that share the database.

The Nexus Database Settings window is divided in to three tabs.

  • General – General information about your station.
  • Messaging – Message related settings specifically related to Nexus Auto-Message feature.
  • Backup – Automatic backup of the Nexus database (highly recommended).


The General Tab

The General tab includes basic information about your station as well as contact details that will be used by Nexus when it automatically generates information.

The options on this tab are outlined below:

  • Station Name – The name of your radio station.
  • Address – The good old fashioned mail address for your station.
  • Phone Number – The principle phone number for your station. This should be a publicly available number.
  • SMS Number – The phone number that the optional Text Modem Module is connected to (if you have that option).
  • Company No – The official company number for your station (optional obviously).
  • VAT Number – Your companies VAT number (again, optional).

It is not essential to fill in all of these details if you do not wish to.


The Messages Tab

The Messages tab is used to set the information Nexus Server needs in order to send Auto-Messages back to listeners who text in requesting the name of the song currently playing or who want to purchase the song currently playing (see Auto-Messaging in Chapter 8 for more details).

The options on this tab are outlined below:

  • Currently Playing Song – This is the keyword that listeners will need to text to the SMS number in order for Nexus Server to text them back with the name of the song currently playing on the Myriad playout system. So if a listener text ‘SONG’ to the SMS number and Robbie Williams - Angels was playing then Nexus Server would text the back with that information.
  • Buy Current Song – This is the keyword that listeners will need to text in order to receive a text back from Nexus Server with a link to purchase the song from Amazons online store. So if the listener texted ‘BUY’ to the SMS number, Nexus Server would text them back a message that included a link to buying Angels for Amazon
  • Amazon ID – Amazon run an affiliates program which means that once you have signed up with Amazon and got your unique ID, you put that in this field and whenever a listener buys a track from Amazon using the link sent by Nexus Server, your station will earn a little commission.


The Backup Tab

The Backup tab allows you to configure whether Nexus should automatically backup the Nexus Database (which it really, really should) and if so how often.

To enable automatic backup of the Nexus Database, tick the Automatically Backup The Nexus Database Periodically option. This will enable the rest of the options on the tab.

  • Backups Should Be Created Once An Hour – If you select this option, Nexus will take a backup of the Nexus Database every hour. Undoubtedly this is good from a data protection view but will also result in a fairly large amount of disk space being taken by the backups. Use this option if disk space is not a concern but data loss is.
  • Backups Should Be Created Once A Day – This is the recommended option as it provides you with a daily backup but also only uses 1/24th of the disk space of the hourly option. It really depends what you think you will add to your Nexus system in a 24 hour period that you just can not afford to loose.
  • Delete Backups After X Days – This tells Nexus how long to keep the backups it creates for. In the above example, Nexus will backup the database every day but delete the backups as they reach 7 days old which means you have a ’rolling’ backup period of 7 days no matter when you need it. N.B. If you set this to ‘0’ (zero) the Nexus will never delete the backups.


Settings Menu > License Details

The License Details option on the Settings menu provides access to the License Wizard which is covered in detail in Chapter 1 of the main Nexus documentation.

You will need to access the License Wizard periodically when you license expires and P Squared provide you with a new code. This renewal process can usually be completed ‘online’ without the need to contact P Squared at all.


The Help Menu

The Help Menu in Nexus provides access to the Nexus Server help documentation, the P Squared Support File generation tools and P Squared related web sites. You can also access the About Nexus Server window which provides information about what version of Nexus Server you are using.


Help Menu > Contents and Search For Help On

This provides access to the inbuilt Nexus Server help files that provide information on all aspects of Nexus.

The Search For Help On option allows you to search the Nexus Server help system for the information that you need. The help system also includes an index system to help you navigate to the section that will help you the most.


Help Menu > Create P2 Support File

Please note that this section of Nexus Server is exactly the same as in Nexus so the documentation below is shared between both applications.

A P Squared Support File is a special file that is created by the P Squared product that you are working on. It is designed to provide P Squared with key information about your system to assist with diagnosis of any problems you may encounter. Under normal circumstances, you will never need to use this option but if you ever find yourself on the phone to technical support, it is possible the support engineer will ask you to create a P Squared Support File and have the system automatically upload it to our support HQ for processing.

Clicking on the Create P Squared Support File option will open the Create P Squared Support File window which allows you to add in the all the information that you need in order to create a P Squared Support file. Some of this information will be supplied by the P Squared Technical Support Engineer who has requested the file. The details you need to enter are outlined below:


P Squared Support ID

This is a unique ID number that is assigned by P Squared for the support issue that you are currently working on. Every time you contact P Squared with a new technical support enquiry, the P Squared support system automatically assigns a unique ID number that allows us to track your support issue, recall the details if you contact us again and to ensure that we do not have issues that go unresolved.

You will usually be generating a Support File at the request of the Technical Support Engineer who is dealing with your enquiry and they should provide you with the Support ID for issue you are working on when they request the Support File. You will also find the Support ID at the top of all emails you receive with respect to the issue you are working on. If you do not have a Support ID, please contact P Squared prior to generating the Support File.


Send P Squared Directory

Ticking this option will include your P Squared Directory with the Support File. This will increase the size of the support file but if the problem you are having is Directory related then including it in the Support File will be essential. Unless you are on a really slow web connection, it is worth including this information by default.


Reason for sending Support File

This field allows you to type in a brief summary of the reason for generating the Support File. Normally, you would be asked to generate a Support File as part of an ongoing support issue and the Support ID will identify the support issue so P Squared will already know what the support issue is about, but it is a good idea to write a quick summary to avoid any confusion.


Edit Personal Details

The Support File generated contains a range of additional information on top of the options selected (such as registry keys etc). One of the information types included in the Support File are the contact details of the person sending the Support File. By default, Myriad will use the Contact Details entered when you initially licensed the product but you can alter this information by clicking on the Edit Personal Details button.

When you are happy with the personal details that will be sent, click on the OK button.


Make File

The Make File button is used to actually generate the Support File. Once Nexus has compiled the Support File, it will ask whether you want to automatically send it to P Squared. You should make sure that the PC you are working on and the click Yes.

The file will then be uploaded to P Squared via your web connection.

If you select No then you are given the opportunity to save the Support File as a .ZIP file which you can then burn to CD and send to P Squared or copy to another computer and email it to the support@psquared.net.


Help Menu > Update Information

The Update Information option is used to access the Update Information text file that is installed alongside Nexus Server.

The Update Information file contains critical information about the latest and previous releases of your P Squared product including information on new features or fixes to problems that have been found.

Each time you update Nexus, a new Update Information file will also be installed and it is a good idea to read through so that you know about any changes that have been made or new features that have been added.

The first time you run a new version of Nexus, the Updates Information window will automatically open but you can access it at any time using this menu option.


Help Menu > P Squared On The Web

This pop-out menu option provides access to key P Squared related web resources such as our support site, technical forums and of course product information pages.

The sites listed on this menu option can change from time to time with new updates of Nexus and Nexus Server.


Help Menu > About

The About option on the Help menu provides access to the About window in Nexus which is primarily used to check the version number for the Nexus software you are using.

You should not normally need to go near this screen but one of the first things a support engineer asks when you ring for technical support is what version of Nexus you are running so it pays to check before you ring and have it written down. They will need the exact number so in the example above it would be Nexus v1.0.5.